#!/usr/bin/python
# Copyright (C) 2014  Lars Wirzenius <liw@liw.fi>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

from distutils.core import setup, Extension
from distutils.command.build import build
import subprocess

import copystmtlint


class Build(build):

    def run(self):
        build.run(self)

        print 'building manpages'
        for x in ['copyright-statement-lint']:
            with open('%s.1' % x, 'w') as f:
                subprocess.check_call(
                    ['python', x, '--generate-manpage=%s.1.in' % x,
                     '--output=%s.1' % x],
                    stdout=f)


setup(name='copyright-statement-lint',
      version=copystmtlint.__version__,
      description='check copyright statements in source files',
      author='Lars Wirzenius',
      author_email='liw@liw.fi',
      url='http://liw.fi/copyright-statement-lint/',
      scripts=['copyright-statement-lint'],
      packages=['copystmtlint'],
      cmdclass={
        'build': Build,
      },
     )
